### Method

# Vips Image profile

#### Declaration [src]

    int
    vips_profile (
      VipsImage* in,
      VipsImage** columns,
      VipsImage** rows,
      ...
    )

#### Description [src]

`vips_profile()` searches inward from the edge of `in` and finds the first non-zero pixel. Pixels in `columns` have the distance from the top edge to the first non-zero pixel in that column, `rows` has the distance from the left edge to the first non-zero pixel in that row.

See also

`vips_project()`, `vips_hist_find()`.

This method is not directly available to language bindings.

#### Parameters

`columns`

  Type: `VipsImage`

  Distances from top edge.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`rows`

  Type: `VipsImage`

  Distances from left edge.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.